---

    - hosts: "{{ hosts }}"
      connection: ssh # or paramiko
    
      vars_prompt:

        - name: "join_token"
          prompt: "Input node join token"
          private: no
    
      tasks:
        
      - name: Join microk8s cluster # this needs conditional again, check if hostname is in [worker1, worker2] array and execute the join command
        become: true
        shell: |
            "{{ join_token }}"